Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceMedia

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/medialib")
      public interface ServiceMedia
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getAlbumsAndPictures​(String instanceId, String rootAlbumId, int callNumber, org.fusesource.restygwt.client.MethodCallback<StreamingList<BaseDTO>> callback)` |
    `void` | `getMedia​(String instanceId, String id, org.fusesource.restygwt.client.MethodCallback<MediaDTO> callback)` |
    `void` | `getPreviewPicture​(String instanceId, String pictureId, org.fusesource.restygwt.client.MethodCallback<PhotoDTO> callback)` |
    `void` | `getSound​(String instanceId, String soundId, org.fusesource.restygwt.client.MethodCallback<SoundDTO> callback)` |
    `void` | `getVideo​(String instanceId, String videoId, org.fusesource.restygwt.client.MethodCallback<VideoDTO> callback)` |
    `void` | `getVideoStreaming​(String instanceId, String videoId, org.fusesource.restygwt.client.MethodCallback<VideoStreamingDTO> callback)` |
    `void` | `uploadPicture​(String name, String data, String idGallery, String idAlbum, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |

- - ### Method Detail

    - #### uploadPicture

          @GET
          @Path("add/{name}/{data}/{idGallery}/{idAlbum}")
          void uploadPicture​(@PathParam("name")
                             String name,
                             @PathParam("data")
                             String data,
                             @PathParam("idGallery")
                             String idGallery,
                             @PathParam("idAlbum")
                             String idAlbum,
                             org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### getMedia

          @GET
          @Produces("application/json")
          @Path("{appId}/media/{id}")
          void getMedia​(@PathParam("appId")
                        String instanceId,
                        @PathParam("id")
                        String id,
                        org.fusesource.restygwt.client.MethodCallback<MediaDTO> callback)

    - #### getAlbumsAndPictures

          @GET
          @Produces("application/json")
          @Path("{appId}/albumsandpics/{rootAlbumId}/{callNumber}")
          void getAlbumsAndPictures​(@PathParam("appId")
                                    String instanceId,
                                    @PathParam("rootAlbumId")
                                    String rootAlbumId,
                                    @PathParam("callNumber")
                                    int callNumber,
                                    org.fusesource.restygwt.client.MethodCallback<StreamingList<BaseDTO>> callback)

    - #### getSound

          @GET
          @Produces("application/json")
          @Path("{appId}/sound/{id}")
          void getSound​(@PathParam("appId")
                        String instanceId,
                        @PathParam("id")
                        String soundId,
                        org.fusesource.restygwt.client.MethodCallback<SoundDTO> callback)

    - #### getVideo

          @GET
          @Produces("application/json")
          @Path("{appId}/video/{videoId}")
          void getVideo​(@PathParam("appId")
                        String instanceId,
                        @PathParam("videoId")
                        String videoId,
                        org.fusesource.restygwt.client.MethodCallback<VideoDTO> callback)

    - #### getVideoStreaming

          @GET
          @Produces("application/json")
          @Path("{appId}/videostream/{videoId}")
          void getVideoStreaming​(@PathParam("appId")
                                 String instanceId,
                                 @PathParam("videoId")
                                 String videoId,
                                 org.fusesource.restygwt.client.MethodCallback<VideoStreamingDTO> callback)

    - #### getPreviewPicture

          @GET
          @Produces("application/json")
          @Path("{appId}/photo/{pictureId}")
          void getPreviewPicture​(@PathParam("appId")
                                 String instanceId,
                                 @PathParam("pictureId")
                                 String pictureId,
                                 org.fusesource.restygwt.client.MethodCallback<PhotoDTO> callback)